export declare type KeyboardLayout = Array<Array<string>>;
export declare const alphanumericKeyboard: KeyboardLayout;
export declare const azertyKeyboard: KeyboardLayout;
export declare const extendedKeyboard: KeyboardLayout;
export declare const numericKeyboard: KeyboardLayout;
export declare const phoneKeyboard: KeyboardLayout;
export declare const specialKeyboard: KeyboardLayout;
export declare const specialKeys: Array<string>;
export declare const specialKeyIcons: {
    Enter: string;
    Backspace: string;
    Escape: string;
    SpaceBar: string;
    Shift: string;
    Left: string;
    Right: string;
    Special: string;
    SpecialBack: string;
};
export declare const specialKeyTexts: {
    CapsLock: string;
};
export declare const notDisabledSpecialKeys: string[];
export declare function isSpacer(key: string): boolean;
export declare function isGrey(key: string): boolean;
export declare function isSpaceBar(key: string): boolean;
export declare function isShift(key: string): boolean;
export declare function isSpecial(key: string): boolean;
export declare function keyboardCapsLockLayout(layout: KeyboardLayout, caps: boolean): KeyboardLayout;
